HASHALOT(1)

NAME
hashalot - read a passphrase and print a hash

SYNOPSIS
hashalot [ -s SALT ] [ -x ] [ -n #BYTES ] [ -q ] [ HASHTYPE ]
HASHTYPE [ -s SALT ] [ -x ] [ -n #BYTES ] [ -q ]

DESCRIPTION

hashalot is a small tool that reads a passphrase from standard input, hashes it using the given hash type, and prints the result to standard output.

Warning: If you do not use the -x option, the hash is printed in binary. This may wedge your terminal settings, or even force you to log out.

This is not a general purpose hasher, only the first line is used, not even including the final newline. Thus, don't be surprised if the output seems to be different from other tools -- you'd have to hash exactly the same string.

Supported values for HASHTYPE:
    ripemd160 rmd160 rmd160compat sha256 sha384 sha512

OPTIONS
The option -s SALT specifies an initialization vector to the hashing algorithm. You need this if you want to prevent identical passwords to map to identical hashes, which is a security risk.

If the -x option is given then the hash will be printed as a string of hexadecimal digits.

The -n option can be used to limit (or increase) the number of bytes output. The default is as appropriate for the specified hash algorithm: 20 bytes for RIPEMD160, 32 bytes for SHA256, etc. The default for the "rmd160compat" hash is 16 bytes, for compatibility with the old kerneli.org utilities.

The -q option causes hashalot to be more quiet and not print some warnings which may be superfluous.

AUTHOR
Ben Slusky <sluskyb@paranoiacs.org>

This manual page was written by Matthias Urlichs <smurf@debian.org>.